summaryrefslogtreecommitdiffstats
path: root/bash
diff options
context:
space:
mode:
authorPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-19 15:30:30 +0100
committerPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-19 15:30:30 +0100
commit7b94b3ff1f1cbf3f94132338530ba161eab805ba (patch)
treec3fa8c086328aa61c406de8cb259cb68115fe7f1 /bash
parent788be5eb73d8213a450050e149cfa34d670e4ffa (diff)
Uploading maven files script handler.
Upload maven files to proper location. Change-Id: Ic529b2ff3ce158f33a33e9f5dd306314040bd6d8 Issue-ID: OOM-1551 Signed-off-by: Piotr Perzanowski <p.perzanowsk@samsung.com>
Diffstat (limited to 'bash')
-rw-r--r--bash/tools/creating_data/upload-maven-files.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/bash/tools/creating_data/upload-maven-files.sh b/bash/tools/creating_data/upload-maven-files.sh
new file mode 100644
index 00000000..bd071fbc
--- /dev/null
+++ b/bash/tools/creating_data/upload-maven-files.sh
@@ -0,0 +1,38 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+DATA_DIR="$1"
+if [[ -z "$DATA_DIR" ]]; then
+ # needs for example: /root/onap-offline-installer/http
+ echo "Mising arg DATA_DIR"
+ echo "Usage: $0 <path to http dir> <name of server> [<next server>...]"
+ exit 1
+fi
+shift
+cd "$DATA_DIR"
+for server in $*; do
+ echo "Uploading to server: $server"
+ lines=$(find $server/ -type f | wc -l)
+ count=1
+ while read -r url; do
+ echo "== pkg #$count of $lines =="
+ count=$((count + 1))
+ path="$url"
+ echo "Uploading file: $url"
+ curl -u admin:admin123 --upload-file $path http://$url
+ done <<< "$(find $server/ -type f)"
+done